function [tau,dilo] = tauFrank(theta)
 
 s = log(theta);
 dilo = dilog(theta);
 tau =  1 + 4 ./s + 4*dilo ./ s.^2;
 
 
end

%%

function  y = dilog(x)

m = length(x);

t0 = (1:m)';

ind1 = t0(x>1);
xx = x;
x1 = x(x>1);
xx(ind1) = 1 ./ x1;
s = zeros(m,1);


 n = 10000;
     for j=1:n
         s = s  + (-1)^j *(xx - 1).^j /j^2;
     end
 
 y = s;
 y1= s(ind1);
 
 y(ind1) = -y1 - 0.5*(log(x(ind1))).^2;
 
end



