 x1 = (1:150)'/100;
 x2 = (10:3000)'/100;
 x3 = (500:5000)'/100;
nu = [ 0.5 1 5 10 25];

D = [ 0 .5  2];

for k=1:3
    for j=1:5
        x=x2;
    if(j<3)
        x = x1;
    elseif( j>4)
         x=x3;
    end
    
[fhat, f] = SaddleNChi2Pdf(x,nu(j),D(k));

figure
plot(x,f,':k')
hold on
plot(x,fhat,'r')
title(['Saddlepoint approximation of a non-central chi-square pdf with \nu = ',num2str(nu(j)), ' and D = ', num2str(D(k))]) 
legend('Real','Approx',0);
    end
end

%%

for k=1:3
    for j=1:5
        x=x2;
    if(j<3)
        x = x1;
    elseif( j>4)
         x=x3;
    end
    
    [Fhat, F,xnew] = SaddleNChi2Cdf(x,nu(j),D(k));
figure
plot(xnew,F,':k')
hold on
plot(xnew,Fhat,'r')
title(['Saddlepoint approximation of a non-central chi-square cdf with \nu = ',num2str(nu(j)), ' and D = ', num2str(D(k))]) 
legend('Real','Approx',0);

 
    end
end