addpath('../Chapter03')
N = 10000; %number of simulated values
mu = [0.7314; 0.2441];
a = [0.2975  0.1374; 0 0.2661]; % Cholesky decomposition of Sigma
S0 = [348;28];
t =  1/12;                     % 1 month
T = 1/2;                       % Time to maturity: 6 months
Strike = 350;                     % Strike price of the call option
Rate = log(1+ 0.0046);       % Annual  rate in continuous time
Sigma = a'*a;                    % Covariance matrix
Volatility = sqrt(Sigma(2,2));
ms = 1000;                        % number of shares of asset 2
mc = 1000;                       % number of call options on assset 1
[Y] = SimLosses(N,mu,a,S0, Strike, Rate,t,T,ms,mc);
[t,y] = EstPdfGK( Y, 250, 0 )