m = 3*120;

n = 4*m-1;

days = 360;
alpha = 0.5;
beta = 2.55;
sigma = 0.365;
q1 =   -0.3;
q2 = 0;
r0 = 3.75;


%[P,R,tau,rtrue] = BondVasicek(alpha,beta,sigma,q1,q2,r0,n,[1/12 3/12 6/12 1],days);

[P,R,tau,rtrue] = BondCIR(alpha,beta,sigma,q1,q2,r0,n,[1/12 3/12 6/12 1],days);
figure
plot(rtrue)

data = [R(1:m,1),tau(1:m,1)];
data = [data; R(m+1:2*m,2),tau(m+1:2*m,2)];
data = [data; R(2*m+1:3*m,3),tau(2*m+1:3*m,3)];
data = [data; R(3*m+1:end,4),tau(3*m+1:end,4)];


% [theta, error, rimp] = EstVasicek(data,'Hessian',360);
% 
% save('DataVasicek','data','rtrue')

[theta, error, rimp] = EstCIRnew(data,'Hessian',360);

save('DataCIRnew','data','rtrue')

  
    
R= load('../../Data/canbond.csv');
n = length(R);

tau = repmat([1 3 6 12]/12,n,1);

d=n/4;

k=1;
tt = zeros(n,1);
matu = [1 3 6 12]/12;
RR=tt;
for i=1:4
    for j=1:d
        tt(k)= matu(i);
        RR(k)=R(k,i);
        k=k+1;
    end
end

data = [RR tt];


maturities = [1/12 3/12 6/12 1];
theta0 = [0.5;2.55;0.365;0.3;0]; %true
n = length(DataCIR);

taufull = repmat( maturities, n, 1); % maturity in years

scalingFact   = 100;

% get pricing coefficients
[ A, B ] = getCIRParam( theta0, tau, scalingFact );


Rfull = ( B .* repmat( rtrue, 1, 4) - scalingFact * A ) ./ taufull;

[ A, B ] = getCIRParam( theta, taufull, scalingFact );

rimp = ( taufull .* R + scalingFact * A ) ./ B;


figure
 plot(rimp(end-100:end,1),'k-')
hold on
plot(rimp(end-100:end,2),'k:')
hold on
plot(rimp(end-100:end,3),'k--')
hold on
plot(rimp(end-100:end,4),'k-.')

legend(' 1-month', ' 3-month',' 6-month','12-month','location','best');

figure
 plot(rimp(end-100:end,1),'k-')
hold on
plot(rimp(end-100:end,2),'r:')
hold on
plot(rimp(end-100:end,3),'--')
hold on
plot(rimp(end-100:end,4),'c-.')

legend(' 1-month', ' 3-month',' 6-month','12-month','location','best');

figure
 plot(Rfull(end-100:end,1),'k-')
hold on
plot(Rfull(end-100:end,2),'r:')
hold on
plot(Rfull(end-100:end,3),'--')
hold on
plot(Rfull(end-100:end,4),'c-.')

legend(' 1-month', ' 3-month',' 6-month','12-month','location','best');




