clear all; close all; clc

%% parameters
delta = 0.1;
p = 0.505;

%% lambda = 50
lambda = 50;

figure
[y, t] = SimCompoundPoisson( lambda, delta, p, 1000);

plot(t, y);
title(['Compound Poisson process, \lambda = ' num2str(lambda) ...
    ' with jumps  ',num2str(delta), ' and drift ' num2str(lambda*(2*p-1))]);

%% lambda = 500
lambda = 500;

figure
[y, t] = SimCompoundPoisson( lambda, delta, p, 1000);

plot(t, y);
title(['Compound Poisson process, \lambda = ' num2str(lambda) ...
    ' with jumps  ',num2str(delta), ' and drift ' num2str(lambda*(2*p-1))]);

%% lambda = 5000
lambda = 5000;

figure
[y, t]  = SimCompoundPoisson( lambda, delta, p, 1000);

plot(t, y);
title(['Compound Poisson process, \lambda = ' num2str(lambda) ...
    ' with jumps  ',num2str(delta), ' and drift ' num2str(lambda*(2*p-1))]);

%% lambda = 50000
lambda = 50000;

figure
[y,t]  = SimCompoundPoisson( lambda, delta, p, 1000);

plot(t, y);
title(['Compound Poisson process, \lambda = ' num2str(lambda) ...
    ' with jumps  ',num2str(delta), ' and drift ' num2str(lambda*(2*p-1))]);